# Uses of Class
java.security.AlgorithmParameterGeneratorSpi

Packages that use AlgorithmParameterGeneratorSpi
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of AlgorithmParameterGeneratorSpi in java.security

Constructors in java.security with parameters of type AlgorithmParameterGeneratorSpi
Modifier
Constructor
Description
`protected`
`AlgorithmParameterGenerator(AlgorithmParameterGeneratorSpi paramGenSpi, Provider provider, String algorithm)`
Creates an AlgorithmParameterGenerator object.